Loading...
Searching...
No Matches
juce::MouseCursor Class Referencefinal

## Detailed Description

Represents a mouse cursor image.

This object can either be used to represent one of the standard mouse cursor shapes, or a custom one generated from an image.

The documentation for this class was generated from the following file:

- juce_gui_basics/mouse/juce_MouseCursor.h

## Public Types

enum

StandardCursorType {
ParentCursor = 0 , NoCursor , NormalCursor , WaitCursor ,
IBeamCursor , CrosshairCursor , CopyingCursor , PointingHandCursor ,
DraggingHandCursor , LeftRightResizeCursor , UpDownResizeCursor , UpDownLeftRightResizeCursor ,
TopEdgeResizeCursor , BottomEdgeResizeCursor , LeftEdgeResizeCursor , RightEdgeResizeCursor ,
TopLeftCornerResizeCursor , TopRightCornerResizeCursor , BottomLeftCornerResizeCursor , BottomRightCornerResizeCursor ,
NumStandardCursorTypes
}

| The set of available standard mouse cursors. More...

## Public Member Functions

| MouseCursor () noexcept
| Creates the standard arrow cursor.
| MouseCursor (StandardCursorType)
| Creates one of the standard mouse cursor.
| MouseCursor (const Image &image, int hotSpotX, int hotSpotY)
| Creates a custom cursor from an image.
| MouseCursor (const Image &image, int hotSpotX, int hotSpotY, float scaleFactor)
| Creates a custom cursor from an image.
| MouseCursor (const ScaledImage &image, Point< int > hotSpot)
| Creates a custom cursor from an image.
| MouseCursor (const MouseCursor &)
| Creates a copy of another cursor object.
MouseCursor & | operator= (const MouseCursor &)
| Copies this cursor from another object.
| ~MouseCursor ()
| Destructor.
| MouseCursor (MouseCursor &&) noexcept
| Move constructor.
MouseCursor & | operator= (MouseCursor &&) noexcept
| Move assignment operator.
bool | operator== (const MouseCursor &) const noexcept
| Checks whether two mouse cursors are the same.
bool | operator!= (const MouseCursor &) const noexcept
| Checks whether two mouse cursors are the same.
bool | operator== (StandardCursorType type) const noexcept
| Checks whether this cursor is of the standard type mentioned.
bool | operator!= (StandardCursorType type) const noexcept
| Checks whether this cursor is of the standard type mentioned.

## Static Public Member Functions

static void | showWaitCursor ()
| Makes the system show its default 'busy' cursor.
static void | hideWaitCursor ()
| If showWaitCursor has been called, this will return the mouse to its normal state.

## Member Enums

## StandardCursorType

enum juce::MouseCursor::StandardCursorType

The set of available standard mouse cursors.

Enumerator
ParentCursor | Indicates that the component's parent's cursor should be used.
NoCursor | An invisible cursor.
NormalCursor | The standard arrow cursor.
WaitCursor | The normal hourglass or spinning-beachball 'busy' cursor.
IBeamCursor | A vertical I-beam for positioning within text.
CrosshairCursor | A pair of crosshairs.
CopyingCursor | The normal arrow cursor, but with a "+" on it to indicate that you're dragging a copy of something.
PointingHandCursor | A hand with a pointing finger, for clicking on web-links.
DraggingHandCursor | An open flat hand for dragging heavy objects around.
LeftRightResizeCursor | An arrow pointing left and right.
UpDownResizeCursor | an arrow pointing up and down.
UpDownLeftRightResizeCursor | An arrow pointing up, down, left and right.
TopEdgeResizeCursor | A platform-specific cursor for resizing the top-edge of a window.
BottomEdgeResizeCursor | A platform-specific cursor for resizing the bottom-edge of a window.
LeftEdgeResizeCursor | A platform-specific cursor for resizing the left-edge of a window.
RightEdgeResizeCursor | A platform-specific cursor for resizing the right-edge of a window.
TopLeftCornerResizeCursor | A platform-specific cursor for resizing the top-left-corner of a window.
TopRightCornerResizeCursor | A platform-specific cursor for resizing the top-right-corner of a window.
BottomLeftCornerResizeCursor | A platform-specific cursor for resizing the bottom-left-corner of a window.
BottomRightCornerResizeCursor | A platform-specific cursor for resizing the bottom-right-corner of a window.
NumStandardCursorTypes |

## Constructors and Destructors

## MouseCursor() [1/7]

juce::MouseCursor::MouseCursor | ( |  | ) |

noexcept

Creates the standard arrow cursor.

Referenced by hideWaitCursor(), MouseCursor(), MouseCursor(), MouseCursor(), MouseCursor(), MouseCursor(), MouseCursor(), operator!=(), operator=(), operator=(), operator==(), and ~MouseCursor().

## MouseCursor() [2/7]

juce::MouseCursor::MouseCursor | ( | StandardCursorType |  | ) |

Creates one of the standard mouse cursor.

References MouseCursor().

## MouseCursor() [3/7]

juce::MouseCursor::MouseCursor | ( | const Image & | image,
|  | int | hotSpotX,
|  | int | hotSpotY )

Creates a custom cursor from an image.

Parameters

  image | the image to use for the cursor - if this is bigger than the system can manage, it might get scaled down first, and might also have to be turned to black-and-white if it can't do colour cursors.
  hotSpotX | the x position of the cursor's hotspot within the image
  hotSpotY | the y position of the cursor's hotspot within the image

References MouseCursor().

## MouseCursor() [4/7]

juce::MouseCursor::MouseCursor | ( | const Image & | image,
|  | int | hotSpotX,
|  | int | hotSpotY,
|  | float | scaleFactor )

Creates a custom cursor from an image.

Parameters

  image | the image to use for the cursor - if this is bigger than the system can manage, it might get scaled down first, and might also have to be turned to black-and-white if it can't do colour cursors.
  hotSpotX | the x position of the cursor's hotspot within the image
  hotSpotY | the y position of the cursor's hotspot within the image
  scaleFactor | the factor by which this image is larger than the target screen size of the cursor.

References MouseCursor().

## MouseCursor() [5/7]

juce::MouseCursor::MouseCursor | ( | const ScaledImage & | image,
|  | Point< int > | hotSpot )

Creates a custom cursor from an image.

Parameters

  image | the image to use for the cursor - if this is bigger than the system can manage, it might get scaled down first, and might also have to be turned to black-and-white if it can't do colour cursors.
  hotSpot | the position of the cursor's hotspot within the image

References MouseCursor().

## MouseCursor() [6/7]

juce::MouseCursor::MouseCursor | ( | const MouseCursor & |  | ) |

Creates a copy of another cursor object.

References MouseCursor().

## ~MouseCursor()

juce::MouseCursor::~MouseCursor | ( |  | ) |

Destructor.

References MouseCursor().

## MouseCursor() [7/7]

juce::MouseCursor::MouseCursor | ( | MouseCursor && |  | ) |

noexcept

Move constructor.

References MouseCursor().

## Member Functions

## operator=() [1/2]

MouseCursor & juce::MouseCursor::operator= | ( | const MouseCursor & |  | ) |

Copies this cursor from another object.

References MouseCursor().

## operator=() [2/2]

MouseCursor & juce::MouseCursor::operator= | ( | MouseCursor && |  | ) |

noexcept

Move assignment operator.

References MouseCursor().

## operator==() [1/2]

bool juce::MouseCursor::operator== | ( | const MouseCursor & |  | ) | const

noexcept

Checks whether two mouse cursors are the same.

For custom cursors, two cursors created from the same image won't be recognised as the same, only MouseCursor objects that have been copied from the same object.

References MouseCursor().

## operator!=() [1/2]

bool juce::MouseCursor::operator!= | ( | const MouseCursor & |  | ) | const

noexcept

Checks whether two mouse cursors are the same.

For custom cursors, two cursors created from the same image won't be recognised as the same, only MouseCursor objects that have been copied from the same object.

References MouseCursor().

## operator==() [2/2]

bool juce::MouseCursor::operator== | ( | StandardCursorType | type | ) | const

noexcept

Checks whether this cursor is of the standard type mentioned.

## operator!=() [2/2]

bool juce::MouseCursor::operator!= | ( | StandardCursorType | type | ) | const

noexcept

Checks whether this cursor is of the standard type mentioned.

## showWaitCursor()

void juce::MouseCursor::showWaitCursor | ( |  | ) |

static

Makes the system show its default 'busy' cursor.

This will turn the system cursor to an hourglass or spinning beachball until the next time the mouse is moved, or hideWaitCursor() is called.

This is handy if the message loop is about to block for a couple of seconds while busy and you want to give the user feedback about this.

References showWaitCursor().

Referenced by showWaitCursor().

## hideWaitCursor()

void juce::MouseCursor::hideWaitCursor | ( |  | ) |

static

If showWaitCursor has been called, this will return the mouse to its normal state.

This will look at what component is under the mouse, and update the cursor to be the correct one for that component.

See also
  showWaitCursor

References hideWaitCursor(), JUCE_LEAK_DETECTOR, and MouseCursor().

Referenced by hideWaitCursor().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited